<?php

namespace App\Entity;

use App\Repository\StatusOrderRepository;
use Doctrine\ORM\Mapping as ORM;
use phpDocumentor\Reflection\Types\Collection;

// table status commande
#[ORM\Entity(repositoryClass: StatusOrderRepository::class)]
class StatusOrder
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $StatusOrder = null;

    #[ORM\OneToMany(targetEntity: Order::class, mappedBy: "StatusOrder")]
    private Collection $Order;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getStatusOrder(): ?string
    {
        return $this->StatusOrder;
    }

    public function setStatusOrder(string $StatusOrder): static
    {
        $this->StatusOrder = $StatusOrder;

        return $this;
    }
}
