<?php

namespace App\Entity;

use App\Repository\StatusTableRepository;
use Doctrine\ORM\Mapping as ORM;
use phpDocumentor\Reflection\Types\Collection;

// table status tables
#[ORM\Entity(repositoryClass: StatusTableRepository::class)]
class StatusTable
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $Status = null;

    #[ORM\OneToMany(targetEntity: Table::class, mappedBy: "StatusTable")]
    private Collection $Tables;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getStatus(): ?string
    {
        return $this->Status;
    }

    public function setStatus(string $Status): static
    {
        $this->Status = $Status;

        return $this;
    }
}
