<?php

namespace App\Entity;

use App\Repository\TableRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpClient\Exception\ClientException;

// table table
#[ORM\Entity(repositoryClass: TableRepository::class)]
#[ORM\Table(name: '`table`')]
class Table
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToMany(targetEntity: Customer::class, inversedBy: "Table")]
    private ?Customer $customer = null;

    #[ORM\ManyToOne(targetEntity: StatusTable::class, inversedBy: "Table")]
    private ?StatusTable $statusTable = null;

    #[ORM\ManyToOne(targetEntity: Reservation::class, inversedBy: "Table")]
    private ?Reservation $reservation = null;

    #[ORM\ManyToMany(targetEntity: User::class, inversedBy: "Table")]
    private ?User $User = null;






    public function getId(): ?int
    {
        return $this->id;
    }
}
