<?php

namespace App\Entity;

use App\Repository\BookingRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use phpDocumentor\Reflection\Types\Collection;

//TABLE RESERVERation
#[ORM\Entity(repositoryClass: BookingRepository::class)]
class Reservation
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(type: Types::DATE_MUTABLE)]
    private ?\DateTimeInterface $DateHeure = null;

    #[ORM\Column]
    private ?int $NumberCustomer = null;

    #[ORM\OneToMany(targetEntity: Table::class, mappedBy: "Reservation")]
    private Collection $Table;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDateHeure(): ?\DateTimeInterface
    {
        return $this->DateHeure;
    }

    public function setDateHeure(\DateTimeInterface $DateHeure): static
    {
        $this->DateHeure = $DateHeure;

        return $this;
    }

    public function getNumberCustomer(): ?int
    {
        return $this->NumberCustomer;
    }

    public function setNumberCustomer(int $NumberCustomer): static
    {
        $this->NumberCustomer = $NumberCustomer;

        return $this;
    }
}
